#!/bin/sh

if [ $# -ne 1 ]; then
    echo "Usage flash.sh COMPort"
    exit 1
fi


if [ -z "$IDF_PATH" ]; then
    echo "Error: please define $IDF_PATH"
    exit 1
fi


python ./esptool_py/esptool/esptool.py --chip esp32 --port $1 --baud 115200 --before default_reset --after hard_reset write_flash -z --flash_mode dio --flash_freq 40m --flash_size detect 0x1000 ./bootloader.bin 0x10000 ./esp32_bt_spp_bridge.bin 0x8000 ./partitions_singleapp.bin
